// UWOBJLST.H  Header file for object list class
//  Source code for article
//  "C++ Classes for MDI Management"
//  Copyright Stephen Welstead 1996

#ifndef UWOBJLST_H
#define UWOBJLST_H

typedef void *p_void;

class object_list {
   public:
   p_void *the_list;
   int item_count;
   int max_count;
   object_list (int max_items);
   virtual int add_item (void *item_addr);
   virtual int insert_item (int index,void *item_addr);
   virtual void *at(int index);
   virtual int get_count ();
   virtual void delete_item (int index);
   virtual ~object_list ();
   };

#endif

