// LBtestDlg.cpp : implementation file

#include "stdafx.h"
#include "LBtestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLBtestDlg dialog

CLBtestDlg::CLBtestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLBtestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLBtestDlg)
	//}}AFX_DATA_INIT
}

void CLBtestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLBtestDlg)
	DDX_Control(pDX, IDC_BOX2_HEADER, box2Header);
	DDX_Control(pDX, IDC_BOX1_HEADER, box1Header);
	DDX_Control(pDX, IDC_RIGHT_BOX, rightBox);
	DDX_Control(pDX, IDC_LEFT_BOX, leftBox);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CLBtestDlg, CDialog)
	//{{AFX_MSG_MAP(CLBtestDlg)
	ON_BN_CLICKED(IDC_LBWE_DELETE, OnLbweDelete)
	ON_BN_CLICKED(IDC_LBWE_EDIT, OnLbweEdit)
	ON_BN_CLICKED(IDC_LBWE_INSERT, OnLbweInsert)
	ON_BN_CLICKED(IDC_LBWE_UNDO, OnLbweUndo)
	ON_BN_CLICKED(IDC_LBWE_APPEND, OnLbweAppend)
	ON_BN_CLICKED(IDC_LBWE_RESET, OnLbweReset)
	ON_BN_CLICKED(IDC_LBWE_HELP, OnLbweHelp)
	ON_BN_CLICKED(IDC_LBWE_SORT, OnLbweSort)
	ON_BN_CLICKED(IDC_SWITCH_BOX, OnSwitchBox)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLBtestDlg message handlers

BOOL CLBtestDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	box1Header.SetWindowText("Buttons Active");
	box2Header.SetWindowText("Buttons Not Active");
	return TRUE;  
}


void CLBtestDlg::OnLbweDelete() 
{
	activeBox->DeleteEntry();
}

void CLBtestDlg::OnLbweEdit() 
{
	activeBox->EditEntry();
}

void CLBtestDlg::OnLbweInsert() 
{
	activeBox->InsertEntry();
}

void CLBtestDlg::OnLbweUndo() 
{
	activeBox->Undo();
}

void CLBtestDlg::OnLbweAppend() 
{
	activeBox->AppendEntry();
}

void CLBtestDlg::OnLbweReset() 
{
	activeBox->ResetUndo();
	SetFocus();
}

void CLBtestDlg::OnLbweSort() 
{
	activeBox->SortList();
}

void CLBtestDlg::OnLbweHelp() 
{
	char* topic = "APPEND";
	AfxGetApp()->WinHelp(reinterpret_cast<int>(topic), HELP_KEY);
	SetFocus();
}


void CLBtestDlg::OnSwitchBox() 
{
	if (activeBox == &rightBox)
	{
		activeBox = &leftBox;
		box1Header.SetWindowText("Buttons Active");
		box2Header.SetWindowText("Buttons Not Active");
	}
	else
	{
		activeBox = &rightBox;
		box1Header.SetWindowText("Buttons Not Active");
		box2Header.SetWindowText("Buttons Active");
	}
	activeBox->SetFocus();
}
