// File TESTWIN.H  Header for Test Window Classes
//  Source code for article
//  "C++ Classes for MDI Management"
//  Copyright Stephen Welstead 1996

#ifndef TESTWIN_H
#define TESTWIN_H

#include "uwmdi.h"

class ttest1_window_manager: public tmdi_manager{
   public:
   ttest1_window_manager (HINSTANCE hInstance,
       tmdi_frame_window *parent,
       LPCSTR menu_name,LPCSTR class_name);
   virtual void set_global_ptr (void);
   virtual tmdi_child_window *new_child_window
       (HWND hwnd,LPCSTR title_name); };

class ttest1_window: public tmdi_child_window {
   public:
   ttest1_window(HWND hwnd,
	 tmdi_manager *the_manager,LPCSTR title_name);
   virtual int OnRun (void);
   virtual int respond_wm_command (WPARAM wParam,LPARAM);
   virtual int respond_wm_close (void);
   ttest1_window::~ttest1_window(); };

class ttest2_window_manager: public tmdi_manager {
   public:
   ttest2_window_manager (HINSTANCE hInstance,
       tmdi_frame_window *parent,
       LPCSTR menu_name,LPCSTR class_name);
   virtual void set_global_ptr (void);
   virtual tmdi_child_window *new_child_window
       (HWND hwnd,LPCSTR title_name); };

class ttest2_window: public tmdi_child_window {
   public:
   ttest2_window(HWND hwnd,
	 tmdi_manager *the_manager,LPCSTR title_name);
   virtual int OnRun (void);
   virtual int respond_wm_command (WPARAM wParam,LPARAM);
   ttest2_window::~ttest2_window(); };

#endif
